<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$id = 0;

if(isset($_POST['id'])){
  $id         = $_POST['id'];
}

if(isset($_SESSION['id_usuario'])){
    $id_usuario = $_SESSION['id_usuario'];
}

//Recebendo parametros do Form
$ds_parametro	= trim($_POST['ds_parametro']);
$ds_valor	    = trim($_POST['ds_valor']);
$ds_descricao	= trim($_POST['ds_descricao']);
$st_ativo	    = 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_parametros set ds_parametro = '$ds_parametro', ds_valor = '$ds_valor', ds_descricao = '$ds_descricao', st_ativo = $st_ativo";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_parametros set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_parametros (ds_parametro, ds_valor, ds_descricao, st_ativo) values ('$ds_parametro','$ds_valor','$ds_descricao',$st_ativo )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_parametros_list.php");
}
?>
